summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-04-01 18:02:23 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-04-02 12:15:24 +0000
commit6cb70fb3caee7cdc67b6954ec2c60bf7bbb2f450 (patch)
tree2b92baccabbe6172f29800a95f866d63505ccdd2
parent9e05207f8dc9b0a5ff46fc60e7bc12554c3efba8 (diff)
downloadtde-packaging-gentoo-6cb70fb3.tar.gz
tde-packaging-gentoo-6cb70fb3.zip
Live ebuilds: Add preliminary `TDEIO-Sword` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/tdeio-sword/tdeio-sword-9999.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/trinity-apps/tdeio-sword/tdeio-sword-9999.ebuild b/trinity-apps/tdeio-sword/tdeio-sword-9999.ebuild
new file mode 100644
index 00000000..4df323d1
--- /dev/null
+++ b/trinity-apps/tdeio-sword/tdeio-sword-9999.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de"
+
+inherit trinity-base-2
+
+DESCRIPTION="Sword TDEIO plugin"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+DEPEND+=" app-text/sword"
+RDEPEND+=" ${DEPEND}"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+}
+
+pkg_postinst() {
+ elog "It is recommended that you have modules installed for sword."
+ elog "Gentoo provides the \"sword-modules\" package for convenience:"
+ elog "\temerge sword-modules"
+}